local P4HasBeenRead = {}
P4HasBeenRead.notReadTexture = getTexture("media/ui/Item_Book_NR.png")
P4HasBeenRead.notCompletedTexture = getTexture("media/ui/Item_Book_NC.png")

P4HasBeenRead.original_render = ISInventoryPane.renderdetails
function ISInventoryPane:renderdetails(doDragged)
	if not CONDITION then
		P4HasBeenRead.original_render(self, doDragged)
	end

	-- [NOTICE]
	-- The source code below is the basicaly same as the vanilla code in Build 41.50.
	-- Due to changes in the vanilla code, it may not work properly.

	local player = getSpecificPlayer(self.player)
	local y = 0
	local MOUSEX = self:getMouseX()
	local MOUSEY = self:getMouseY()
	local YSCROLL = self:getYScroll()
	local HEIGHT = self:getHeight()
	for k, v in ipairs(self.itemslist) do
		local count = 1
		for k2, v2 in ipairs(v.items) do
			local item = v2
			if item:getCategory() == "Literature" then
				local statusTexture = nil
				local numberOfPages = item:getNumberOfPages()
				if numberOfPages > 0 then
					local readPages = player:getAlreadyReadPages(item:getFullType())
					if readPages >= numberOfPages then
						statusTexture = nil
					elseif readPages > 0 then
						statusTexture = P4HasBeenRead.notCompletedTexture
					else
						statusTexture = P4HasBeenRead.notReadTexture
					end
				elseif item:getTeachedRecipes() and not item:getTeachedRecipes():isEmpty() then
					if player:getKnownRecipes():containsAll(item:getTeachedRecipes()) then
						statusTexture = nil
					else
						statusTexture = P4HasBeenRead.notReadTexture
					end
				end
				if statusTexture then
					local doIt = true
					local xoff = 0
					local yoff = 0
					local isDragging = false
					if self.dragging ~= nil and self.selected[y+1] ~= nil and self.dragStarted then
						xoff = MOUSEX - self.draggingX
						yoff = MOUSEY - self.draggingY
						if not doDragged then
							doIt = false
						else
							isDragging = true
						end
					else
						if doDragged then
							doIt = false
						end
					end
					local topOfItem = y * self.itemHgt + YSCROLL
					if not isDragging and ((topOfItem + self.itemHgt < 0) or (topOfItem > HEIGHT)) then
						doIt = false
					end
					if doIt == true then
						local tex = item:getTex()
						if tex ~= nil then
							local texDY = 1
							local texWH = math.min(self.itemHgt-2,32)
							local auxDXY = math.ceil(20 * self.texScale)
							if count == 1  then
								self:drawTexture(statusTexture, (13+auxDXY+xoff)-texWH, (y*self.itemHgt)+self.headerHgt+yoff+texWH-statusTexture:getHeight(), 1, 1, 1, 1)
							elseif v.count > 2 or (doDragged and count > 1 and self.selected[(y+1) - (count-1)] == nil) then
								self:drawTexture(statusTexture, (13+auxDXY+16+xoff)-texWH, (y*self.itemHgt)+self.headerHgt+yoff+texWH-statusTexture:getHeight(), 1, 1, 1, 1)
							end
						end
					end
				end
			end
			y = y + 1
			if count == 1 and self.collapsed ~= nil and v.name ~= nil and self.collapsed[v.name] then
				break
			end
			if count == 51 then
				break
			end
			count = count + 1
		end
	end
end
